Estimate a delivery
POST
Returns the driving distance, travel time and delivery price between two points, without creating a task.
apiKeyAuthheader
Authorization<token>Required on every request. Send apikey <your-api-key>, together with the x-seller-id header.
x-seller-id*stringYour seller id.
application/json- body
from*to*Delivery estimate
application/json- response
travelDetail?price?|Delivery price in KWD.
curl -X POST "https://example.com/tasks/estimate" \ -H "x-seller-id: YOUR_SELLER_ID" \ -H "Content-Type: application/json" \ -d '{ "from": { "latitude": 29.37, "longitude": 47.98 }, "to": { "latitude": 29.3375, "longitude": 48.0758 } }'{ "travelDetail": { "totalDistance": 7420, "duration": 840, "durationInTraffic": 900, "hasTraffic": true, "estimatedDelayByTraffic": 60 }, "price": 1.5}